Notifications
+ Parameters
Section:
Group Notifications. Base URL:https://instance_name.meiro.io/api/.
Notifications [/notifications]
Get notifications [GET /notifications{?until_id,limit}]
-
Parameters
-
until_id:41f2cc9a-f7df-4ef8-b2e1-1bd4e627639a(optional)ID of a notification. If present, the server returns the newest notifications older than the specified ID.
-
limit: 20 (number, optional) - Maximum number of results. Default is 20.
-
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
-
Attributes
- meta
-
oldest_id:41f2cc9a-f7df-4ef8-b2e1-1bd4e627639aThe ID of the oldest returned notification. It can be used to paginate by including it as the
until_idparameter in the next request. -
result_count: 20 (number)
-
- notifications (array[Notification])
- meta
-
-
Response 404 (application/json)
-
Attributes
- message:
Notification doesn't exist(fixed)
- message:
-
Mark all notifications as read [PATCH /notifications]
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200